import 'package:equatable/equatable.dart';

abstract class OrganizationEvent extends Equatable {
  const OrganizationEvent();

  @override
  List<Object> get props => [];
}

class LoadOrganizations extends OrganizationEvent {}

class SelectOrganization extends OrganizationEvent {
  final String orgId;

  const SelectOrganization(this.orgId);

  @override
  List<Object> get props => [orgId];
}

class CreateOrganization extends OrganizationEvent {
  final String name;

  const CreateOrganization(this.name);

  @override
  List<Object> get props => [name];
}
